Incidencia #43947

Msys2-next after 220309

Abrir Fecha: 2022-02-20 16:44 Última actualización: 2022-06-08 10:55

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

I'm in the process of making a new msys2 environment snapshot, which will become (if everything works) 220220 (#43719). There's one warning about 'nano' already being present. It's not worth restarting producing 220220 for this, but for the next snapshot after it 'nano' should be removed from the list of explicitly installed packages.

Ticket History (3/8 Histories)

2022-02-20 16:44 Updated by: cazfi
  • New Ticket "Msys2-next after 220220" created
2022-03-15 20:46 Updated by: cazfi
  • Summary Updated
Comentario

There was another iteration before previous version was taken to use. So it was 220309 in the end, and the 'nano' change was included. Another change to replace multiple autoconf versions installing meta-package 'autoconf' with just necesary version was left out - maybe to be included in the next version.

2022-04-07 11:06 Updated by: cazfi
Comentario

There's already newer upstream base snapshots at https://repo.msys2.org/distrib/x86_64/

2022-05-31 06:09 Updated by: cazfi
Comentario

Currently testing with a snapshot made 220529.

That has issue #44718

I'm also encountered problems that I think are more related to taking any new environment to use than regressions with this particular environment. Namely that msys Makefile.meson has issues on a fresh source tree (one where no autotools build has been made): #44683, #44729

Environment from this ticket (whether 220529, or later iteration) is likely to get backported to use also in S3_0, after 3.0.2 release: #44056

2022-06-01 13:39 Updated by: cazfi
Comentario

Patch submitted a bit hurriedly at the current phase of environment snapshot evaluation / testing. There's time for the review period to pass for the patch and related environment uploaded to http://files.freeciv.org/packages/windows/msys2/ before files.freeciv.org downtime in the weekend.

2022-06-01 13:39 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
2022-06-08 10:55 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar